Payments
Deduct the user's assets to the open platform account and call back the merchant API for confirmation
This interface is exclusively available for hybrid cloud SaaS + merchants. To use it, the merchant's API must be confirmed via callback. The callback URL is: https://xxxx.xxxx.xxx/nofity/transferToMerchantAuthCheck. Merchants need to provide the callback domain https://xxxx.xxxx.xxx to the platform for configuration. The callback method is fixed as: /nofity/transferToMerchantAuthCheck. After receiving the callback, the merchant must perform signature verification. The verification method is the same as that used for requesting this interface (if the request uses MD5, the callback should also use MD5 rules for verification; if the request uses RSA, the callback should also use RSA for verification).
POST
/
platformapi
/
chainup
/
open
/
opay
/
transferToMerchantAuth
curl --request POST \
--url https://service.xxx.com/platformapi/chainup/open/opay/transferToMerchantAuth
--header 'Content-Type: application/json'
--data '{
"appKey": "{your_app_key}",
"sign": "{sign}",
"userId":"12345",
"appOrderId": "11321",
"orderAmount": "100",
"payCoinSymbol":"USDT1742"
}'
curl --request POST \
--url https://xxxx.xxxx.xxx/nofity/transferToMerchantAuthCheck
--header 'Content-Type: application/json'
--data '{
"appKey": "{your_app_key}",
"sign": "{sign}",
"userId":"12345",
"appOrderId": "11321",
"orderAmount": "100",
"payCoinSymbol":"USDT1742"
}'
Query Parameters
appKey
string
requiredMerchant AppKey
Example: xxx_xxx
userId
string
requireduid
Example: 123456
appOrderId
string
requiredMerchant-side order id, unique across the board.
Example: 11321
orderAmount
string
requiredOrder amount.
Example: 10
payCoinSymbol
string
requiredPayment currency
Example: USDT1742
sign
string
requiredSignature
Example: 2ae04ed9165624419bad68e9e0f3f2sa9fbd2ae04ed916511624419bad68e9e20f3f29fbd
Response
200 - application/json
code
string
返回code
msg
string
成功或失败提示信息
data
object
curl --request POST \
--url https://service.xxx.com/platformapi/chainup/open/opay/transferToMerchantAuth
--header 'Content-Type: application/json'
--data '{
"appKey": "{your_app_key}",
"sign": "{sign}",
"userId":"12345",
"appOrderId": "11321",
"orderAmount": "100",
"payCoinSymbol":"USDT1742"
}'
curl --request POST \
--url https://xxxx.xxxx.xxx/nofity/transferToMerchantAuthCheck
--header 'Content-Type: application/json'
--data '{
"appKey": "{your_app_key}",
"sign": "{sign}",
"userId":"12345",
"appOrderId": "11321",
"orderAmount": "100",
"payCoinSymbol":"USDT1742"
}'